/*
 * Class ITERATION_CURSOR [NATURAL_8]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_714 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_714 [] = {0xFF01,237,713,197,0xFFFF};
static const EIF_TYPE_INDEX egt_2_714 [] = {0xFF01,713,197,0xFFFF};
static const EIF_TYPE_INDEX egt_3_714 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_714 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_714 [] = {0xFF01,713,197,0xFFFF};
static const EIF_TYPE_INDEX egt_6_714 [] = {0xFF01,713,197,0xFFFF};
static const EIF_TYPE_INDEX egt_7_714 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_714 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_714 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_714 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_714 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_714 [] = {713,197,0xFFFF};
static const EIF_TYPE_INDEX egt_13_714 [] = {0xFF01,713,197,0xFFFF};
static const EIF_TYPE_INDEX egt_14_714 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_714 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_714[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_714), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_714), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_714), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_714), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_714), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_714), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_714), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_714), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_714), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_714), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_714), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_714), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_714), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_714), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_714), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_714), -1, 0xFFFFFFFF},
};
void Init714(void)
{
	IDSC(desc_714, 0, 713);
	IDSC(desc_714 + 1, 1, 713);
	IDSC(desc_714 + 32, 245, 713);
}


#ifdef __cplusplus
}
#endif
